Public API - Companies
Get a company's activity (buying-signal) timeline
Paged signal timeline for a company, newest first.
GET
/
public
/
v1
/
companies
/
{companyId}
/
activity
Get a company's activity (buying-signal) timeline
curl --request GET \
--url https://app.stairoids.com/api/public/v1/companies/{companyId}/activity \
--header 'X-Api-Key: <api-key>'import requests
url = "https://app.stairoids.com/api/public/v1/companies/{companyId}/activity"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://app.stairoids.com/api/public/v1/companies/{companyId}/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 991234,
"signalType": "COMPANY_VISIT_WEBSITE",
"causeId": "<string>",
"causeType": "PAGE_VISIT",
"weightOverride": 123,
"timestamp": 1719500000000,
"entityId": "4521",
"entityType": "COMPANY",
"owner": {
"id": 30,
"name": "Stairoids",
"firstName": "Thomas",
"lastName": "Berrens",
"profilePicture": "<string>"
},
"channel": "website",
"name": "Visited page: Pricing",
"description": "<string>",
"logo": "<string>",
"useIcon": false
}
],
"page": 0,
"size": 20,
"totalElements": 137,
"totalPages": 7
}{
"errorType": "EMAIL_ALREADY_EXISTS"
}{
"errorType": "EMAIL_ALREADY_EXISTS",
"category": "<string>",
"currentUsage": 123,
"limit": 123,
"addOnSlug": "<string>",
"planSlug": "<string>",
"addOnPriceMonthly": 123,
"upgradePlanSlug": "<string>",
"upgradePlanName": "<string>",
"upgradePlanPriceMonthly": 123
}{
"errorType": "EMAIL_ALREADY_EXISTS",
"category": "<string>",
"currentUsage": 123,
"limit": 123
}{
"errorType": "EMAIL_ALREADY_EXISTS"
}Authorizations
Your organization's public API key.
Path Parameters
Response
OK
A page of results.
⌘I
Get a company's activity (buying-signal) timeline
